<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/ReminderWindow.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ReminderWindow.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="ReminderWindow_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">import</span> QtQuick 2.12</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;import QtQuick.Controls 2.12</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;import QtQuick.Window 2.12</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;import QtGraphicalEffects 1.0</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;import QtQuick.Dialogs 1.3</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;Page {</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classReminderWindow.html#a49df47bff15de0103422e457700a8498">   19</a></span>&#160;    id: reminder_window</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> table: <span class="stringliteral">&quot;remindersList&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> save_clicked: <span class="keyword">false</span></div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classReminderWindow.html#aff09da69d134f2dbee95f472eec11ba4">   25</a></span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classReminderWindow.html#a537dc8f2d52f59e87be3a2f36a1c4ef3">   27</a></span>&#160;    <span class="keyword">property</span> var current_date: Qt.formatDate(<span class="keyword">new</span> Date(), <span class="stringliteral">&quot;yyyy.MM.dd&quot;</span>)</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classReminderWindow.html#a1177ef825775b049de9f28aabb05e22d">   29</a></span>&#160;    <span class="keyword">property</span> var current_time: Qt.formatTime(<span class="keyword">new</span> Date(), <span class="stringliteral">&quot;hh:mm&quot;</span>)</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">property</span> var visibleErrorDialog : <span class="keyword">false</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keyword">property</span> var log : <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">property</span> var errName: <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">function</span> reload_table(){</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        var count = rem_list.count</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        console.debug(rem_list.count)</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        var j = 0</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keywordflow">for</span> (; j &lt; count;) {</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            console.debug(j)</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            rem_list.remove(0)</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            j += 1</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        }</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        var list = db.selectAllTuples(5, table)</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        var i = 1</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordflow">if</span> (list[0] &gt; 1)</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            <span class="keywordflow">for</span> (; i &lt; list[0];) {</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;                <span class="keywordflow">if</span> (db.getDate(list[i + 2]) === date_view.get_reminder_date()){</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;                    rem_list.append({taskText: list[i + 1],</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;                                        datePlase: db.getDate(list[i + 2]),</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;                                        timePlase: db.getTime(list[i + 2]),</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;                                        detailsText: list[i + 3],</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;                                        repeatIndex: list[i + 4],</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                                        remid: list[i]})</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;                }</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;                i = i + 5</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            }</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        }</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        rem_table.model = rem_list</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        reminder_window.save_clicked = <span class="keyword">true</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    }</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    background: LinearGradient {</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        id: lg</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="comment">//z:0</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="comment">//anchors.top: parent.top</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="comment">// anchors.topMargin: -30</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        start: Qt.point(0,0)</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        end: Qt.point(parent.width, parent.height)</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        gradient: style.getBackgroundGradient()</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    }</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    z: 5</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; </div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    Column  {</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        id: scrcol</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        width: parent.width</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        spacing: 30</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        anchors.topMargin: 20</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        Dialog {</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            id: accept_dialog</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            width: 400</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            height: 150</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            contentItem: Rectangle {</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;                width: 400</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;                height: 200</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                gradient: style.getBackgroundGradient()</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                Text {</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;                    anchors{</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;                        top: parent.top</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;                        left: parent.left</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;                        right: parent.right</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;                        bottom: ok_button.top</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;                        topMargin: 30</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;                        bottomMargin: 10</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;                        rightMargin: 10</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                        leftMargin: 10</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;                    }</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;                    text: qsTr(<span class="stringliteral">&quot;There is unsaved data, would you like to continue?&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                    color: style.getTextColor()</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;                    font.pointSize: 11</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                    wrapMode: Text.WordWrap</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160; </div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;                }</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160; </div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;                <a class="code" href="classStylishButton.html">StylishButton</a> {</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;                    id: cancel_button</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;                    anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;                    anchors.right: parent.right</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;                    anchors.bottomMargin: 10</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;                    anchors.rightMargin: 20</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;                    button_name: qsTr(<span class="stringliteral">&quot;Cancel&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;                    background_gradient: style.getAttentionGradientStandart()</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;                    entered_gradient: style.getAttentionGradientEntered()</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                    width: 100</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;                    onMouseAreaClicked: {accept_dialog.close()}</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                }</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;                <a class="code" href="classStylishButton.html">StylishButton</a> {</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;                    id: ok_button</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;                    anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                    anchors.right: cancel_button.left</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;                    anchors.bottomMargin: 10</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                    anchors.rightMargin: 20</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                    button_name: <span class="stringliteral">&quot;OK&quot;</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                    background_gradient: style.getGradientStandart()</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;                    entered_gradient: style.getGradientEntered()</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                    width: 100</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;                    onMouseAreaClicked: {accept_dialog.close(); rem_table.enabled_value = <span class="keyword">false</span>;}</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;                }</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;            }</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        }</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160; </div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        Rectangle{</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;            <span class="comment">//anchors.top: parent.top</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;            anchors.horizontalCenter: parent.horizontalCenter</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;            y: -50</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;            z:2</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160; </div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            gradient: style.getAttentionGradientStandart()</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;            radius: 5</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;            width: 200</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            height: 30</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160; </div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;            Text{</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;                <span class="comment">//anchors.fill: parent</span></div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;                anchors.horizontalCenter: parent.horizontalCenter</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;                anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;                text: qsTr(<span class="stringliteral">&quot;Saved!&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;                color: <span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            }</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160; </div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;            SequentialAnimation on y {</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;                id: saveAnimation</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;                running: <span class="keyword">false</span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;                loops: 1</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;                PropertyAnimation { to: -50 }</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;                PropertyAnimation { to: -20}</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;                PropertyAnimation { to: -20; duration: 1000}</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;                PropertyAnimation { to: -20}</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;                PropertyAnimation { to: -50}</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;            }</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;        }</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160; </div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; </div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        <a class="code" href="classReminderDateTable.html">ReminderDateTable</a> {</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;            id: date_view</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;            <span class="comment">//anchors.top: system_panel.bottom</span></div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;            anchors.left: parent.left</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;            anchors.right: parent.right</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;            <span class="comment">//anchors.topMargin: 50</span></div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;            anchors.leftMargin: 50</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;            anchors.rightMargin: 50</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;            width: rem_table.width</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160; </div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;            objectName: <span class="stringliteral">&quot;date_table&quot;</span></div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160; </div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;            onCurrentIndexChanged: {</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;                reload_table()</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;            }</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;        }</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160; </div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        ListModel {</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;            id: rem_list</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;        }</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160; </div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;        <a class="code" href="classReminderTable.html">ReminderTable</a> {</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;            id: rem_table</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160; </div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;            objectName: <span class="stringliteral">&quot;reminders_table&quot;</span></div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160; </div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;            anchors.top: date_view.bottom</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;            anchors.left: parent.left</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;            anchors.right: parent.right</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;            anchors.topMargin: 50</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;            anchors.leftMargin: 50</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;            anchors.rightMargin: 50</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160; </div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;            <span class="comment">//width: parent.width / 9 * 8</span></div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;            height: reminder_window.height * 4 / 7</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;            <span class="comment">//height: 150</span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;            gradientStandart: style.getGradientStandart()</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;            gradientEntered: style.getGradientEntered()</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160; </div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160; </div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        }</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160; </div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;        ListModel{</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;            id: date_list</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;            Component.onCompleted: {</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;                var list = db.selectAllTuples(5, table)</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;                var flag = <span class="keyword">true</span></div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;                var i = 1</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;                <span class="keywordflow">if</span> (list[0] &gt; 1)</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;                {</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;                    <span class="keywordflow">for</span> (; i &lt; list[0];) {</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;                        <span class="keywordflow">for</span> (var j = 0; j &lt; date_view.dateArray.length; j++){</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;                            <span class="keywordflow">if</span> (date_view.dateArray[j] === db.getDate(list[i + 2])){</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;                                flag = <span class="keyword">false</span></div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;                            }</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;                        }</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;                        <span class="keywordflow">if</span> (flag === <span class="keyword">true</span>){</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;                            append({datePlase: db.getDate(list[i + 2])})</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;                            date_view.dateArray.push(db.getDate(list[i + 2]))</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;                            console.log(date_view.dateArray)</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;                        }</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;                        flag = <span class="keyword">true</span></div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;                        i = i + 5</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;                    }</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;                }</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;            }</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;        }</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160; </div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160; </div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;        Row{</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160; </div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;            id: rowBtns</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;            <span class="comment">//anchors.right: parent.right</span></div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;            <span class="comment">//anchors.left: parent.left</span></div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;            anchors.top: rem_table.bottom</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;            anchors.topMargin: 10</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;            anchors.horizontalCenter: rem_table.horizontalCenter</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;            <span class="comment">//anchors.top: rem_table.bottom</span></div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160; </div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160; </div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;            height: 50</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;            spacing: 20</div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;            <a class="code" href="classStylishButton.html">StylishButton</a> {</div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;                id: apply_button</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160; </div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;                objectName: <span class="stringliteral">&quot;saving_reminder&quot;</span></div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;                height: parent.height</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;                width: height</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;                image_src: <span class="stringliteral">&quot;/resources/img/save.png&quot;</span><span class="comment">//button_name: qsTr(&quot;Save&quot;) + settings.emptyString</span></div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;                background_gradient: style.getGradientStandart()</div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;                entered_gradient: style.getGradientEntered()</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;                onMouseAreaClicked: {</div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;                    <span class="keywordflow">if</span> ((rem_table.get_reminder_date() === <span class="stringliteral">&#39;..&#39;</span>) ||</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;                            (rem_table.get_reminder_time() === <span class="charliteral">&#39;:&#39;</span>) ||</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;                            (rem_table.reminder_name === <span class="stringliteral">&quot;&quot;</span>))</div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;                    {</div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;                        visibleErrorDialog = <span class="keyword">true</span></div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;                        errName = rem_table.get_reminder_date() === <span class="stringliteral">&#39;..&#39;</span> ?</div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;                                    qsTr(<span class="stringliteral">&quot;Please enter date!&quot;</span>) + settings.emptyString : rem_table.get_reminder_time() === <span class="charliteral">&#39;:&#39;</span> ?</div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;                                        qsTr(<span class="stringliteral">&quot;Please enter time!&quot;</span>) + settings.emptyString :</div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;                                        qsTr(<span class="stringliteral">&quot;Please enter reminder title!&quot;</span>) + settings.emptyString;</div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;                        errorLoader.sourceComponent = errorComponent</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;                    }</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;                    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;                    {</div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160; </div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;                        <span class="keywordflow">if</span> (rem_table.get_reminder_date() &lt; current_date)</div>
<div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;                        {</div>
<div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160; </div>
<div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;                            visibleErrorDialog = <span class="keyword">true</span></div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;                            errName = qsTr(<span class="stringliteral">&quot;Date cannot be less than the current!&quot;</span>);</div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;                            errorLoader.sourceComponent = errorComponent</div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160; </div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;                        }</div>
<div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;                        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;                        {</div>
<div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;                            <span class="keywordflow">if</span> ((rem_table.get_reminder_time() &lt; current_time) &amp;&amp; (rem_table.get_reminder_date() === current_date.toString()))</div>
<div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;                            {</div>
<div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;                                visibleErrorDialog = <span class="keyword">true</span></div>
<div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;                                errName = qsTr(<span class="stringliteral">&quot;Time cannot be less than the current!&quot;</span>);</div>
<div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;                                errorLoader.sourceComponent = errorComponent</div>
<div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;                            }</div>
<div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;                            <span class="keywordflow">else</span></div>
<div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;                            {</div>
<div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;                                <span class="keywordflow">if</span> (db.checkReminderID(rem_table.getID()))</div>
<div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;                                {</div>
<div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;                                    <span class="keywordflow">if</span> (db.updateReminder(rem_table.getID(),</div>
<div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;                                                          [rem_table.get_reminder_name(),</div>
<div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;                                                           rem_table.get_reminder_date() + <span class="charliteral">&#39; &#39;</span> + rem_table.get_reminder_time(),</div>
<div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;                                                           rem_table.get_reminder_details(),</div>
<div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;                                                           rem_table.get_reminder_repeat()]))</div>
<div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;                                    {</div>
<div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;                                        rem_table.setEnable(<span class="keyword">false</span>)</div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;                                        saveAnimation.start()</div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160; </div>
<div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;                                        var list = db.selectAllTuples(5, table)</div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;                                        var flag = <span class="keyword">true</span></div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;                                        var i = 1</div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;                                        <span class="keywordflow">if</span> (list[0] &gt; 1)</div>
<div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;                                        {</div>
<div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;                                            <span class="keywordflow">for</span> (; i &lt; list[0];) {</div>
<div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;                                                <span class="keywordflow">for</span> (var j = 0; j &lt; date_view.dateArray.length; j++){</div>
<div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;                                                    <span class="keywordflow">if</span> (date_view.dateArray[j] === db.getDate(list[i + 2])){</div>
<div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;                                                        flag = <span class="keyword">false</span></div>
<div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;                                                    }</div>
<div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;                                                }</div>
<div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;                                                <span class="keywordflow">if</span> (flag === <span class="keyword">true</span>){</div>
<div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;                                                    date_list.append({datePlase: db.getDate(list[i + 2])})</div>
<div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;                                                    date_view.dateArray.push(db.getDate(list[i + 2]))</div>
<div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;                                                    console.log(date_view.dateArray)</div>
<div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;                                                }</div>
<div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;                                                flag = <span class="keyword">true</span></div>
<div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;                                                i = i + 5</div>
<div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;                                            }</div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;                                        }</div>
<div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160; </div>
<div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;                                        reminder_window.reload_table()</div>
<div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;                                    }</div>
<div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;                                    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;                                    {</div>
<div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;                                        visibleErrorDialog = <span class="keyword">true</span></div>
<div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;                                        log = qsTr(<span class="stringliteral">&quot;Error changing database row&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;                                        errName = qsTr(<span class="stringliteral">&quot;Error changing database row: &quot;</span>) + settings.emptyString + db.getError();</div>
<div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;                                        errorLoader.sourceComponent = errorComponent</div>
<div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;                                    }</div>
<div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;                                }</div>
<div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;                                <span class="keywordflow">else</span></div>
<div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;                                {</div>
<div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;                                    <span class="keywordflow">if</span> (db.addTuple([rem_table.get_reminder_name(),</div>
<div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;                                                     rem_table.get_reminder_date() + <span class="charliteral">&#39; &#39;</span> + rem_table.get_reminder_time(),</div>
<div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;                                                     rem_table.get_reminder_details(),</div>
<div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;                                                     rem_table.get_reminder_repeat(),</div>
<div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;                                                     <span class="keyword">false</span>], table))</div>
<div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;                                    {</div>
<div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;                                        rem_table.setID(db.getLastAddID())</div>
<div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;                                        rem_table.setEnable(<span class="keyword">false</span>)</div>
<div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;                                        saveAnimation.start()</div>
<div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160; </div>
<div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;                                        console.debug(rem_table.expandedCount)</div>
<div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;                                        <span class="keywordflow">if</span> (rem_table.expandedCount == 0){</div>
<div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;                                            reminder_window.height = reminderWindow.minimumHeight</div>
<div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;                                        }</div>
<div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160; </div>
<div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;                                        list = db.selectAllTuples(5, table)</div>
<div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;                                        flag = <span class="keyword">true</span></div>
<div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;                                        i = 1</div>
<div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;                                        <span class="keywordflow">if</span> (list[0] &gt; 1)</div>
<div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;                                        {</div>
<div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;                                            <span class="keywordflow">for</span> (; i &lt; list[0];) {</div>
<div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;                                                <span class="keywordflow">for</span> (j = 0; j &lt; date_view.dateArray.length; j++){</div>
<div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;                                                    <span class="keywordflow">if</span> (date_view.dateArray[j] === db.getDate(list[i + 2])){</div>
<div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;                                                        flag = <span class="keyword">false</span></div>
<div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;                                                    }</div>
<div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;                                                }</div>
<div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;                                                <span class="keywordflow">if</span> (flag === <span class="keyword">true</span>){</div>
<div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;                                                    date_list.append({datePlase: db.getDate(list[i + 2])})</div>
<div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;                                                    date_view.dateArray.push(db.getDate(list[i + 2]))</div>
<div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;                                                    console.log(date_view.dateArray)</div>
<div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;                                                }</div>
<div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;                                                flag = <span class="keyword">true</span></div>
<div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;                                                i = i + 5</div>
<div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;                                            }</div>
<div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;                                        }</div>
<div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;                                        reminder_window.reload_table()</div>
<div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;                                    }</div>
<div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;                                    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;                                    {</div>
<div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;                                        visibleErrorDialog = <span class="keyword">true</span></div>
<div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;                                        log = qsTr(<span class="stringliteral">&quot;Error adding database row&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;                                        errName = qsTr(<span class="stringliteral">&quot;Error adding database row: &quot;</span>) + settings.emptyString + db.getError();</div>
<div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;                                        errorLoader.sourceComponent = errorComponent</div>
<div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;                                    }</div>
<div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;                                }</div>
<div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;                            }</div>
<div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;                        }</div>
<div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;                    }</div>
<div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160; </div>
<div class="line"><a name="l00400"></a><span class="lineno">  400</span>&#160;                    guide_rw.anchors.bottom = guide_rw.parent.bottom</div>
<div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;                    guide_rw.anchors.horizontalCenter = undefined</div>
<div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;                    guide_rw.anchors.right = guide_rw.parent.right</div>
<div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;                    guide_rw.width = Screen.width / 5</div>
<div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;                    <span class="comment">//guide_rw.height = Screen.height / 14</span></div>
<div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;                    guide_rw.prompt_text = qsTr(<span class="stringliteral">&quot;Congratulations! You have created a reminder, notification will appear at the indicated time. Close the window&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;                }</div>
<div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;            }</div>
<div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160; </div>
<div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;            <a class="code" href="classStylishButton.html">StylishButton</a> {</div>
<div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;                id: add_button</div>
<div class="line"><a name="l00411"></a><span class="lineno">  411</span>&#160; </div>
<div class="line"><a name="l00412"></a><span class="lineno">  412</span>&#160;                <span class="keyword">property</span> <span class="keywordtype">bool</span> enableValue: <span class="keyword">true</span></div>
<div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160; </div>
<div class="line"><a name="l00414"></a><span class="lineno">  414</span>&#160;                objectName: <span class="stringliteral">&quot;adding_reminder&quot;</span></div>
<div class="line"><a name="l00415"></a><span class="lineno">  415</span>&#160; </div>
<div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;                height: parent.height</div>
<div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;                width: height</div>
<div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160;                image_src: <span class="stringliteral">&quot;/resources/img/add.png&quot;</span><span class="comment">//button_name: qsTr(&quot;Add&quot;) + settings.emptyString</span></div>
<div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;                background_gradient: style.getGradientStandart()</div>
<div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160;                entered_gradient: style.getGradientEntered()</div>
<div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;                onMouseAreaClicked: {</div>
<div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;                    <span class="keywordflow">if</span> (rem_table.enabled_value == <span class="keyword">true</span>){</div>
<div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;                        visibleErrorDialog = <span class="keyword">true</span></div>
<div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160; </div>
<div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;                        errName = qsTr(<span class="stringliteral">&quot;First save your previous changes!&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00426"></a><span class="lineno">  426</span>&#160; </div>
<div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160;                        errorLoader.sourceComponent = errorComponent</div>
<div class="line"><a name="l00428"></a><span class="lineno">  428</span>&#160;                    }</div>
<div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;                    <span class="keywordflow">else</span>{</div>
<div class="line"><a name="l00430"></a><span class="lineno">  430</span>&#160;                        <span class="keywordflow">if</span> (rem_table.count == db.getCountRows(table) + 1){</div>
<div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;                            visibleErrorDialog = <span class="keyword">true</span></div>
<div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160;                            errName = <span class="stringliteral">&quot;Сначала завершите предыдущее добавление!&quot;</span></div>
<div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160;                            errorLoader.sourceComponent = errorComponent</div>
<div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;                        }</div>
<div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;                        <span class="keywordflow">else</span>{</div>
<div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160;                            rem_table.addingReminder()</div>
<div class="line"><a name="l00437"></a><span class="lineno">  437</span>&#160;                            rem_table.currentIndex = rem_table.count - 1</div>
<div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;                            rem_table.setEnable(<span class="keyword">true</span>)</div>
<div class="line"><a name="l00439"></a><span class="lineno">  439</span>&#160;                            rem_table.expandAnimHeight()</div>
<div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;                            rem_table.expandAnimWidth()</div>
<div class="line"><a name="l00441"></a><span class="lineno">  441</span>&#160;                            reminder_window.height = 650</div>
<div class="line"><a name="l00442"></a><span class="lineno">  442</span>&#160;                        }</div>
<div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160;                    }</div>
<div class="line"><a name="l00444"></a><span class="lineno">  444</span>&#160;                    guide_rw.anchors.horizontalCenter = undefined</div>
<div class="line"><a name="l00445"></a><span class="lineno">  445</span>&#160;                    guide_rw.anchors.bottom = rem_table.top</div>
<div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;                    guide_rw.width = Screen.width / 5</div>
<div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;                    guide_rw.x = reminder_window.width / 25</div>
<div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;                    guide_rw.prompt_text = qsTr(<span class="stringliteral">&quot;Enter all reminder fields (description - optional)&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;                    saveTimer.start()</div>
<div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;                }</div>
<div class="line"><a name="l00451"></a><span class="lineno">  451</span>&#160;            }</div>
<div class="line"><a name="l00452"></a><span class="lineno">  452</span>&#160; </div>
<div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;            Timer{</div>
<div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;                id: saveTimer</div>
<div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;                interval: 10000</div>
<div class="line"><a name="l00456"></a><span class="lineno">  456</span>&#160;                repeat: <span class="keyword">false</span></div>
<div class="line"><a name="l00457"></a><span class="lineno">  457</span>&#160;                running: <span class="keyword">false</span></div>
<div class="line"><a name="l00458"></a><span class="lineno">  458</span>&#160;                onTriggered: {</div>
<div class="line"><a name="l00459"></a><span class="lineno">  459</span>&#160;                    guide_rw.anchors.bottom = rowBtns.top</div>
<div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;                    guide_rw.anchors.horizontalCenter = guide_rw.parent.horizontalCenter</div>
<div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;                    guide_rw.width = Screen.width / 10</div>
<div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;                    <span class="comment">//guide_rw.height = Screen.height / 23</span></div>
<div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;                    guide_rw.prompt_text = qsTr(<span class="stringliteral">&quot;Click on save button&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00464"></a><span class="lineno">  464</span>&#160;                }</div>
<div class="line"><a name="l00465"></a><span class="lineno">  465</span>&#160;            }</div>
<div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160; </div>
<div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160;            <a class="code" href="classStylishButton.html">StylishButton</a> {</div>
<div class="line"><a name="l00468"></a><span class="lineno">  468</span>&#160;                id: delete_button</div>
<div class="line"><a name="l00469"></a><span class="lineno">  469</span>&#160; </div>
<div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;                objectName: <span class="stringliteral">&quot;deleting_reminder&quot;</span></div>
<div class="line"><a name="l00471"></a><span class="lineno">  471</span>&#160; </div>
<div class="line"><a name="l00472"></a><span class="lineno">  472</span>&#160;                height: parent.height</div>
<div class="line"><a name="l00473"></a><span class="lineno">  473</span>&#160;                width: height</div>
<div class="line"><a name="l00474"></a><span class="lineno">  474</span>&#160;                image_src: <span class="stringliteral">&quot;/resources/img/delete.png&quot;</span><span class="comment">//button_name: qsTr(&quot;Remove&quot;) + settings.emptyString</span></div>
<div class="line"><a name="l00475"></a><span class="lineno">  475</span>&#160;                background_gradient: style.getGradientStandart()</div>
<div class="line"><a name="l00476"></a><span class="lineno">  476</span>&#160;                entered_gradient: style.getGradientEntered()</div>
<div class="line"><a name="l00477"></a><span class="lineno">  477</span>&#160;                onMouseAreaClicked: {</div>
<div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;                    <span class="keywordflow">if</span> (db.removeTuple({ ID : rem_table.getID()}, table))</div>
<div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;                    {</div>
<div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;                        rem_table.deleteAnimation()</div>
<div class="line"><a name="l00481"></a><span class="lineno">  481</span>&#160;                        deleteTimer.running = <span class="keyword">true</span></div>
<div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;                        rem_table.enabled_value = <span class="keyword">false</span></div>
<div class="line"><a name="l00483"></a><span class="lineno">  483</span>&#160;                    }</div>
<div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160;                    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00485"></a><span class="lineno">  485</span>&#160;                    {</div>
<div class="line"><a name="l00486"></a><span class="lineno">  486</span>&#160;                        visibleErrorDialog = <span class="keyword">true</span></div>
<div class="line"><a name="l00487"></a><span class="lineno">  487</span>&#160;                        log = qsTr(<span class="stringliteral">&quot;Error deleting database row&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00488"></a><span class="lineno">  488</span>&#160;                        errName = qsTr(<span class="stringliteral">&quot;Error deleting database row: &quot;</span>) + settings.emptyString + db.getError();</div>
<div class="line"><a name="l00489"></a><span class="lineno">  489</span>&#160;                        errorLoader.sourceComponent = errorComponent</div>
<div class="line"><a name="l00490"></a><span class="lineno">  490</span>&#160;                    }</div>
<div class="line"><a name="l00491"></a><span class="lineno">  491</span>&#160;                }</div>
<div class="line"><a name="l00492"></a><span class="lineno">  492</span>&#160;            }</div>
<div class="line"><a name="l00493"></a><span class="lineno">  493</span>&#160;        }</div>
<div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160; </div>
<div class="line"><a name="l00495"></a><span class="lineno">  495</span>&#160;        Timer {</div>
<div class="line"><a name="l00496"></a><span class="lineno">  496</span>&#160;            id: deleteTimer</div>
<div class="line"><a name="l00497"></a><span class="lineno">  497</span>&#160;            interval: 1000</div>
<div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;            repeat: <span class="keyword">false</span></div>
<div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;            running: <span class="keyword">false</span></div>
<div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;            onTriggered: {</div>
<div class="line"><a name="l00501"></a><span class="lineno">  501</span>&#160;                var dates = db.getAllRemindersDates()</div>
<div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;                var del_date = rem_table.get_reminder_date()</div>
<div class="line"><a name="l00503"></a><span class="lineno">  503</span>&#160;                var count = 0</div>
<div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160; </div>
<div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;                rem_table.removeReminder()</div>
<div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160; </div>
<div class="line"><a name="l00507"></a><span class="lineno">  507</span>&#160;                <span class="keywordflow">for</span> (var i = 0; i &lt; dates.length; i++){</div>
<div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;                    <span class="keywordflow">if</span> (dates[i] === del_date){</div>
<div class="line"><a name="l00509"></a><span class="lineno">  509</span>&#160;                        count += 1</div>
<div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;                    }</div>
<div class="line"><a name="l00511"></a><span class="lineno">  511</span>&#160;                }</div>
<div class="line"><a name="l00512"></a><span class="lineno">  512</span>&#160;                console.log(count + <span class="stringliteral">&quot;&lt;&lt;&lt;&quot;</span>)</div>
<div class="line"><a name="l00513"></a><span class="lineno">  513</span>&#160;                <span class="keywordflow">if</span> (count &lt;= 0){</div>
<div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;                    console.log(count + <span class="stringliteral">&quot;&lt;&lt;&lt;&quot;</span>)</div>
<div class="line"><a name="l00515"></a><span class="lineno">  515</span>&#160;                    <span class="keywordflow">for</span> (i = 0; i &lt; date_view.dateArray.length; i++){</div>
<div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;                        <span class="keywordflow">if</span> (del_date === date_view.dateArray[i]){</div>
<div class="line"><a name="l00517"></a><span class="lineno">  517</span>&#160;                            date_list.remove(i);</div>
<div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;                            date_view.dateArray.splice(i, 1)</div>
<div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;                        }</div>
<div class="line"><a name="l00520"></a><span class="lineno">  520</span>&#160;                    }</div>
<div class="line"><a name="l00521"></a><span class="lineno">  521</span>&#160;                }</div>
<div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;            }</div>
<div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;        }</div>
<div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160; </div>
<div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160; </div>
<div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160; </div>
<div class="line"><a name="l00527"></a><span class="lineno">  527</span>&#160;        Loader {</div>
<div class="line"><a name="l00528"></a><span class="lineno">  528</span>&#160;            id: errorLoader</div>
<div class="line"><a name="l00529"></a><span class="lineno">  529</span>&#160;        }</div>
<div class="line"><a name="l00530"></a><span class="lineno">  530</span>&#160; </div>
<div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160;        Component {</div>
<div class="line"><a name="l00532"></a><span class="lineno">  532</span>&#160;            id: errorComponent</div>
<div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;            <a class="code" href="classErrorDialog.html">ErrorDialog</a> {</div>
<div class="line"><a name="l00534"></a><span class="lineno">  534</span>&#160;                id: error</div>
<div class="line"><a name="l00535"></a><span class="lineno">  535</span>&#160;                visible: visibleErrorDialog</div>
<div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;                log: log</div>
<div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;                err_name: errName</div>
<div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;            }</div>
<div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;        }</div>
<div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160; </div>
<div class="line"><a name="l00541"></a><span class="lineno">  541</span>&#160; </div>
<div class="line"><a name="l00542"></a><span class="lineno">  542</span>&#160; </div>
<div class="line"><a name="l00543"></a><span class="lineno">  543</span>&#160;        <a class="code" href="classGuideRectangle.html">GuideRectangle</a> {</div>
<div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;            id: guide_rw</div>
<div class="line"><a name="l00545"></a><span class="lineno">  545</span>&#160;            <span class="comment">// height: Screen.height / 23</span></div>
<div class="line"><a name="l00546"></a><span class="lineno">  546</span>&#160;            width: Screen.width / 15</div>
<div class="line"><a name="l00547"></a><span class="lineno">  547</span>&#160;            anchors.bottom: rowBtns.top</div>
<div class="line"><a name="l00548"></a><span class="lineno">  548</span>&#160;            anchors.horizontalCenter: parent.horizontalCenter</div>
<div class="line"><a name="l00549"></a><span class="lineno">  549</span>&#160;            <span class="comment">//anchors.right: parent.right</span></div>
<div class="line"><a name="l00550"></a><span class="lineno">  550</span>&#160;            <span class="comment">//anchors.rightMargin: 20</span></div>
<div class="line"><a name="l00551"></a><span class="lineno">  551</span>&#160;            visible: guide_visible</div>
<div class="line"><a name="l00552"></a><span class="lineno">  552</span>&#160;            z: 5</div>
<div class="line"><a name="l00553"></a><span class="lineno">  553</span>&#160;            prompt_text: qsTr(<span class="stringliteral">&quot;Сlick on plus&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160;        }</div>
<div class="line"><a name="l00555"></a><span class="lineno">  555</span>&#160; </div>
<div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;        Item</div>
<div class="line"><a name="l00557"></a><span class="lineno">  557</span>&#160;        {</div>
<div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160;            id: root</div>
<div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;            <span class="keyword">property</span> Window theWindow: Window.window</div>
<div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160;            Connections</div>
<div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;            {</div>
<div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;                target: root.theWindow</div>
<div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;                onClosing:</div>
<div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;                {</div>
<div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;                    <span class="keywordflow">if</span> (rem_table.enabled_value){</div>
<div class="line"><a name="l00566"></a><span class="lineno">  566</span>&#160;                        accept_dialog.visible = <span class="keyword">true</span></div>
<div class="line"><a name="l00567"></a><span class="lineno">  567</span>&#160;                        close.accepted = <span class="keyword">false</span></div>
<div class="line"><a name="l00568"></a><span class="lineno">  568</span>&#160;                    }</div>
<div class="line"><a name="l00569"></a><span class="lineno">  569</span>&#160;                    <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00570"></a><span class="lineno">  570</span>&#160;                        guide_visible = <span class="keyword">false</span></div>
<div class="line"><a name="l00571"></a><span class="lineno">  571</span>&#160;                        close.accepted = <span class="keyword">true</span></div>
<div class="line"><a name="l00572"></a><span class="lineno">  572</span>&#160;                        reminder_window_flag = <span class="keyword">true</span></div>
<div class="line"><a name="l00573"></a><span class="lineno">  573</span>&#160;                    }</div>
<div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;                }</div>
<div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;            }</div>
<div class="line"><a name="l00576"></a><span class="lineno">  576</span>&#160;        }</div>
<div class="line"><a name="l00577"></a><span class="lineno">  577</span>&#160; </div>
<div class="line"><a name="l00578"></a><span class="lineno">  578</span>&#160;        <a class="code" href="classStyle.html">Style</a> {</div>
<div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160;            id: style</div>
<div class="line"><a name="l00580"></a><span class="lineno">  580</span>&#160;        }</div>
<div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160; </div>
<div class="line"><a name="l00582"></a><span class="lineno">  582</span>&#160;    }</div>
<div class="line"><a name="l00584"></a><span class="lineno">  584</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> guide_visible: guide.visible</div>
<div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassErrorDialog_html"><div class="ttname"><a href="classErrorDialog.html">ErrorDialog</a></div><div class="ttdoc">Диалог ошибки (или же нажатия сочетания клавиш)</div><div class="ttdef"><b>Definition:</b> <a href="ErrorDialog_8qml_source.html#l00014">ErrorDialog.qml:14</a></div></div>
<div class="ttc" id="aclassReminderWindow_html"><div class="ttname"><a href="classReminderWindow.html">ReminderWindow</a></div><div class="ttdoc">Страница напоминаний</div><div class="ttdef"><b>Definition:</b> <a href="ReminderWindow_8qml_source.html#l00016">ReminderWindow.qml:16</a></div></div>
<div class="ttc" id="aclassStyle_html"><div class="ttname"><a href="classStyle.html">Style</a></div><div class="ttdoc">Стили проекта</div><div class="ttdef"><b>Definition:</b> <a href="Style_8qml_source.html#l00011">Style.qml:11</a></div></div>
<div class="ttc" id="aclassReminderDateTable_html"><div class="ttname"><a href="classReminderDateTable.html">ReminderDateTable</a></div><div class="ttdoc">Грид с отображения возможных дат напоминаний</div><div class="ttdef"><b>Definition:</b> <a href="ReminderDateTable_8qml_source.html#l00013">ReminderDateTable.qml:13</a></div></div>
<div class="ttc" id="aclassStylishButton_html"><div class="ttname"><a href="classStylishButton.html">StylishButton</a></div><div class="ttdoc">Пользовательская кнопка</div><div class="ttdef"><b>Definition:</b> <a href="StylishButton_8qml_source.html#l00011">StylishButton.qml:11</a></div></div>
<div class="ttc" id="aclassGuideRectangle_html"><div class="ttname"><a href="classGuideRectangle.html">GuideRectangle</a></div><div class="ttdoc">Прямоугольник с текстом внутри, используется для ознакомления пользователя с программой</div><div class="ttdef"><b>Definition:</b> <a href="GuideRectangle_8qml_source.html#l00017">GuideRectangle.qml:17</a></div></div>
<div class="ttc" id="aclassReminderTable_html"><div class="ttname"><a href="classReminderTable.html">ReminderTable</a></div><div class="ttdoc">Таблица напоминаний</div><div class="ttdef"><b>Definition:</b> <a href="ReminderTable_8qml_source.html#l00013">ReminderTable.qml:13</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
